%define anolis_release 2
Summary:        A GNU archiving program
Name:           cpio
Version:        2.14
Release:        %{anolis_release}%{?dist}
License:        GPLv3+
URL:            http://www.gnu.org/software/cpio/
Source:         https://ftp.gnu.org/gnu/cpio/cpio-%{version}.tar.bz2
Source1:        cpio.1
Patch1:         0001-solve-the-first-defined-here-error.patch
Provides:       bundled(gnulib)
Provides:       bundled(paxutils)
Provides:       /bin/cpio
BuildRequires:  gcc
BuildRequires:  texinfo
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -pedantic -fno-strict-aliasing -Wall $CFLAGS"
%configure --with-rmt="%{_sysconfdir}/rmt"
%make_build
(cd po && make update-gmo)


%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libexecdir}/rmt
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*.1*
install -c -p -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man1

%generate_compatibility_deps


%find_lang %{name}

%check
rm -f test/testsuite
make check || {
    echo "### TESTSUITE.LOG ###"
    cat tests/testsuite.log
    exit 1
}


%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list

%{_mandir}/man*/*
%{_infodir}/*.info*

%files doc
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Wed May 14 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 2.14-2
- Rebuild for remove inappropriate build dependencies.

* Tue May 02 2023 Funda Wang <fundawang@yeah.net> - 2.14-1
- New version 2.14

* Mon Dec 12 2022 chen_yu_ao <m15927509890@163.com> - 2.13-4
- optimise spec file format and comments, add abi files

* Tue Oct 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.13-3
- revert fix for CVE-2015-1197 as it causes shutdown issues

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13-2
- add doc package

* Tue Mar 08 2022 pangqing <pangqing@uniontech.com> - 2.13-1 
- Init for anolisOS 23

